using Microsoft.UI.Xaml.Controls;

namespace TestProject;

/// <summary>
///  
/// </summary>
public sealed partial class MainPage : Page
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region ִϸ̼ ۽   - ExecuteAnimationStartedCommand

    /// <summary>
    /// ִϸ̼ ۽  
    /// </summary>
    public DelegateCommand<object> ExecuteAnimationStartedCommand { get; private set; }

    #endregion
    #region ִϸ̼    - ExecuteAnimationCompletedCommand

    /// <summary>
    /// ִϸ̼   
    /// </summary>
    public DelegateCommand<object> ExecuteAnimationCompletedCommand { get; private set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainPage()

    /// <summary>
    /// 
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        ExecuteAnimationStartedCommand = new DelegateCommand<object>
        (
            source => {
                this.startButton.IsEnabled = false;

                this.startButton.Content = "ִϸ̼ ";
            }
        );

        ExecuteAnimationCompletedCommand = new DelegateCommand<object>
        (
            source => {
                this.startButton.IsEnabled = true;

                this.startButton.Content = "ִϸ̼ ";
            }
        );
    }

    #endregion
}